/*
    To the extent possible under law, Red Hat, Inc. has dedicated all copyright to this software to the public domain worldwide, pursuant to the CC0 Public Domain Dedication. This software is distributed without any warranty.  See <http://creativecommons.org/publicdomain/zero/1.0/>.
*/
package com.jboss.examples.ee6.ejb;

import java.lang.management.ManagementFactory;
import javax.management.ObjectName;
import javax.management.MBeanServer;
import javax.ejb.Singleton;
import javax.ejb.Startup;
import javax.annotation.PostConstruct;
import javax.annotation.PreDestroy;

/**
 * @author bmaxwell
 */
@Singleton
@Startup
public class EE6ExampleSingleton 
{       
    private ObjectName objectName; 
    private MBeanServer platformMBeanServer;

    @PostConstruct
    public void start()
    {
        try {

            platformMBeanServer = ManagementFactory.getPlatformMBeanServer();
						System.out.println("EE6ExampleSingleton started");

						System.out.println("EE6ExampleSingleton Calculator lambda - start");
						new Calculator().test();
						System.out.println("EE6ExampleSingleton Calculator lambda - finish");
        } catch (Exception e) {
					e.printStackTrace();
        }
    }

    @PreDestroy
    public void stop()
    {
    }

}
